#
# spec file for package python-blist
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-blist
Version:        1.3.6
Release:        4.2
Summary:        A list-like type with better asymptotic performance
License:        BSD-3-Clause
Group:          Development/Languages/Python
Url:            http://stutzbachenterprises.com/blist/
Source:         http://pypi.python.org/packages/source/b/blist/blist-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitearch: %global python_sitearch %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%endif

%description
The blist is a drop-in replacement for the Python list the provides
better performance when modifying large lists.  The blist package also
provides sortedlist, sortedset, weaksortedlist,
weaksortedset, sorteddict, and btuple types.

%prep
%setup -q -n blist-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
python setup.py test

%files
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitearch}/blist-%{version}-py*.egg-info
%{python_sitearch}/blist/

%changelog
* Fri Sep 19 2014 toddrme2178@gmail.com
- Update to 1.3.6
  * No upstream changelog
- Remove upstream-included pull-request-56.patch
* Mon Nov 18 2013 speilicke@suse.com
- Add pull-request-56.patch: Replace distribute with setuptools
- Run testsuite
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Mon Apr 29 2013 speilicke@suse.com
- Package LICENSE and README.rst
* Thu Apr 25 2013 prusnak@opensuse.org
- created package (version 1.3.4)
